<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync:  Fichier source de src/diskFull.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('diskFull_8py_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">diskFull.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="diskFull_8py.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacesrc_1_1diskFull.html">    1</a></span>&#160;<span class="comment">#!/usr/bin/python</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">#       $Id: diskFull.py 33 2010-12-12 00:39:46Z georgesk $</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="namespacesrc_1_1diskFull.html#a44c1bb71404fc8226dc7170b6282c905">    4</a></span>&#160;licence={}</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;licence[<span class="stringliteral">&#39;en&#39;</span>]=<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral">    file diskFull.py</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral">    this file is part of the project scolasync</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    Copyright (C) 2010 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtCore.html">PyQt5.QtCore</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtWidgets.html">PyQt5.QtWidgets</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtGui.html">PyQt5.QtGui</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classsrc_1_1diskFull_1_1mainWindow.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html">mainWindow</a>(<a class="code" href="classQMainWindow.html">QMainWindow</a>):</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classsrc_1_1diskFull_1_1mainWindow.html#a7fa65eb20e0c7985b7a864844ca531c7">   38</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#a7fa65eb20e0c7985b7a864844ca531c7">__init__</a>(self, parent, percent, total=0, used=0, title=&quot;Disk&quot;):</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        QMainWindow.__init__(self)</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        QWidget.__init__(self, parent)</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keyword">from</span> Ui_diskFull  <span class="keyword">import</span> Ui_MainWindow</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classsrc_1_1diskFull_1_1mainWindow.html#a3ee91e72ff7f0ccc180144ab4a70b13d">   42</a></span>&#160;        self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#a3ee91e72ff7f0ccc180144ab4a70b13d">ui</a> = Ui_MainWindow()</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#a3ee91e72ff7f0ccc180144ab4a70b13d">ui</a>.setupUi(self)</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        self.setWindowTitle(title)</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classsrc_1_1diskFull_1_1mainWindow.html#ab8cdbc8504601abde84282057a5ee1e1">   45</a></span>&#160;        self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#ab8cdbc8504601abde84282057a5ee1e1">v</a>=self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#a3ee91e72ff7f0ccc180144ab4a70b13d">ui</a>.graphicsView</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classsrc_1_1diskFull_1_1mainWindow.html#af6284fbb0bc7174905a039566f1e6e94">   46</a></span>&#160;        self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#af6284fbb0bc7174905a039566f1e6e94">total</a>=self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#a3ee91e72ff7f0ccc180144ab4a70b13d">ui</a>.label_total</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classsrc_1_1diskFull_1_1mainWindow.html#a4629688bff5e225aaf73f9352889bde2">   47</a></span>&#160;        self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#a4629688bff5e225aaf73f9352889bde2">used</a>=self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#a3ee91e72ff7f0ccc180144ab4a70b13d">ui</a>.label_used</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#ab8cdbc8504601abde84282057a5ee1e1">v</a>.setScene(<a class="code" href="namespacesrc_1_1diskFull.html#a215d9e315842567c98e9fca397a54287">sceneWithUsage</a>(self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#ab8cdbc8504601abde84282057a5ee1e1">v</a>, QRectF(5,5,230,230), percent))</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#af6284fbb0bc7174905a039566f1e6e94">total</a>.setText(QApplication.translate(<span class="stringliteral">&quot;diskFull&quot;</span>,<span class="stringliteral">&quot;Place totale : {size} kilo-octets&quot;</span>,<span class="keywordtype">None</span>).format(size=total))</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        self.<a class="code" href="classsrc_1_1diskFull_1_1mainWindow.html#a4629688bff5e225aaf73f9352889bde2">used</a>.setText(QApplication.translate(<span class="stringliteral">&quot;diskFull&quot;</span>,<span class="stringliteral">&quot;Place utilisée : {size} kilo-octets&quot;</span>,<span class="keywordtype">None</span>).format(size=used))</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="namespacesrc_1_1diskFull.html#a215d9e315842567c98e9fca397a54287">   58</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacesrc_1_1diskFull.html#a215d9e315842567c98e9fca397a54287">sceneWithUsage</a>(parent, rect, percent):</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    scene=QGraphicsScene(parent)</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    scene.addEllipse ( rect, QPen(), QBrush(QColor(<span class="stringliteral">&quot;lightyellow&quot;</span>)) )</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    usedEllipse=scene.addEllipse (rect, QPen(), QBrush(QColor(<span class="stringliteral">&quot;slateblue&quot;</span>)) )</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    usedEllipse.setStartAngle(0)</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    usedEllipse.setSpanAngle(360 * 16 * percent / 100)</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordflow">return</span> scene</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclasssrc_1_1diskFull_1_1mainWindow_html_a3ee91e72ff7f0ccc180144ab4a70b13d"><div class="ttname"><a href="classsrc_1_1diskFull_1_1mainWindow.html#a3ee91e72ff7f0ccc180144ab4a70b13d">src.diskFull.mainWindow.ui</a></div><div class="ttdeci">ui</div><div class="ttdef"><b>Definition:</b> <a href="diskFull_8py_source.html#l00042">diskFull.py:42</a></div></div>
<div class="ttc" id="aclasssrc_1_1diskFull_1_1mainWindow_html"><div class="ttname"><a href="classsrc_1_1diskFull_1_1mainWindow.html">src.diskFull.mainWindow</a></div><div class="ttdef"><b>Definition:</b> <a href="diskFull_8py_source.html#l00029">diskFull.py:29</a></div></div>
<div class="ttc" id="aclassQMainWindow_html"><div class="ttname"><a href="classQMainWindow.html">QMainWindow</a></div></div>
<div class="ttc" id="aclasssrc_1_1diskFull_1_1mainWindow_html_a4629688bff5e225aaf73f9352889bde2"><div class="ttname"><a href="classsrc_1_1diskFull_1_1mainWindow.html#a4629688bff5e225aaf73f9352889bde2">src.diskFull.mainWindow.used</a></div><div class="ttdeci">used</div><div class="ttdef"><b>Definition:</b> <a href="diskFull_8py_source.html#l00047">diskFull.py:47</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtCore_html"><div class="ttname"><a href="namespacePyQt5_1_1QtCore.html">QtCore</a></div></div>
<div class="ttc" id="anamespacesrc_1_1diskFull_html_a215d9e315842567c98e9fca397a54287"><div class="ttname"><a href="namespacesrc_1_1diskFull.html#a215d9e315842567c98e9fca397a54287">src.diskFull.sceneWithUsage</a></div><div class="ttdeci">def sceneWithUsage(parent, rect, percent)</div><div class="ttdef"><b>Definition:</b> <a href="diskFull_8py_source.html#l00058">diskFull.py:58</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtGui_html"><div class="ttname"><a href="namespacePyQt5_1_1QtGui.html">QtGui</a></div></div>
<div class="ttc" id="aclasssrc_1_1diskFull_1_1mainWindow_html_af6284fbb0bc7174905a039566f1e6e94"><div class="ttname"><a href="classsrc_1_1diskFull_1_1mainWindow.html#af6284fbb0bc7174905a039566f1e6e94">src.diskFull.mainWindow.total</a></div><div class="ttdeci">total</div><div class="ttdef"><b>Definition:</b> <a href="diskFull_8py_source.html#l00046">diskFull.py:46</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtWidgets_html"><div class="ttname"><a href="namespacePyQt5_1_1QtWidgets.html">QtWidgets</a></div></div>
<div class="ttc" id="aclasssrc_1_1diskFull_1_1mainWindow_html_ab8cdbc8504601abde84282057a5ee1e1"><div class="ttname"><a href="classsrc_1_1diskFull_1_1mainWindow.html#ab8cdbc8504601abde84282057a5ee1e1">src.diskFull.mainWindow.v</a></div><div class="ttdeci">v</div><div class="ttdef"><b>Definition:</b> <a href="diskFull_8py_source.html#l00045">diskFull.py:45</a></div></div>
<div class="ttc" id="aclasssrc_1_1diskFull_1_1mainWindow_html_a7fa65eb20e0c7985b7a864844ca531c7"><div class="ttname"><a href="classsrc_1_1diskFull_1_1mainWindow.html#a7fa65eb20e0c7985b7a864844ca531c7">src.diskFull.mainWindow.__init__</a></div><div class="ttdeci">def __init__(self, parent, percent, total=0, used=0, title=&quot;Disk&quot;)</div><div class="ttdoc">Le constructeur.</div><div class="ttdef"><b>Definition:</b> <a href="diskFull_8py_source.html#l00038">diskFull.py:38</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="diskFull_8py.html">diskFull.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
